TAR(1)

NOMBRE
tar: una utilidad de archivado

SINOPSIS

  Uso típico
tar {A|c|d|r|t|u|x}[GnSkUWOmpsMBiajJzZhPlRvwo] [ARG...]

  Uso al estilo UNIX

tar -A [OPCIONES] -f ARCHIVO ARCHIVO...

tar -c [-f ARCHIVO] [OPCIONES] [FICHERO...]

tar -d [-f ARCHIVO] [OPCIONES] [FICHERO...]

tar -r [-f ARCHIVO] [OPCIONES] [FICHERO...]

tar -t [-f ARCHIVO] [OPCIONES] [MIEMBRO...]

tar -u [-f ARCHIVO] [OPCIONES] [FICHERO...]

tar -x [-f ARCHIVO] [OPCIONES] [MIEMBRO...]

  Uso al estilo GNU

tar {--catenate|--concatenate} [OPCIONES] --file ARCHIVO ARCHIVO...

tar --create [--file ARCHIVO] [OPCIONES] [FICHERO...]

tar {--diff|--compare} [--file ARCHIVO] [OPCIONES] [FICHERO...]

tar --delete [--file ARCHIVO] [OPCIONES] [MIEMBRO...]

tar --append [--file ARCHIVO] [OPCIONES] [ARCHIVO...]

tar --lista [--archivo ARCHIVO] [OPCIONES] [MIEMBRO...]

tar --test-label [--file ARCHIVO] [OPCIONES] [ETIQUETA...]

tar --update [--file ARCHIVO] [OPCIONES] [FICHERO...]

tar {--extract|--get} [--file ARCHIVO] [OPCIONES] [MIEMBRO...]

NOTA
Esta página de manual es una breve descripción de GNU tar. Si desea información más detallada, incluidos ejemplos y recomendaciones de uso, consulte el GNU Tar Manual disponible en formato texinfo. Si el lector info y la documentación tar están instalados correctamente en su sistema, la orden

    info tar

debería mostrarle el manual completo.

También puede ver el manual usando el modo de información en emacs(1), o encontrarlo en varios formatos en internet en

    https://www.gnu.org/software/tar/manual

Si existiesen discrepancias entre esta página de manual y el GNU Tar Manual, este último se considerará la fuente autorizada.

DESCRIPCIÓN
GNU tar es un programa de archivado diseñado para almacenamiento de múltiples archivos en un solo archivo (un archive) así como su manipulación. El archivo puede ser un archivo normal o un dispositivo (por ejemplo, una unidad de cinta, de ahí el nombre del programa, que viene de 'tape archiver', que puede ubicarse en el propio equipo o en un equipo remoto.

  Estilos de opciones
Las opciones para GNU tar se pueden ofrecer en tres estilos diferentes. En estilo tradicional, el primer argumento es un grupo de letras de opciones, todos los argumentos posteriores proporcionan argumentos a aquellas opciones que los requieren. Los argumentos se leen en el mismo orden que las letras de las opciones. Cualquier palabra de la línea de órdenes que quede después de que se hayan procesado todas las opciones se trata como archivos o nombres de miembros del archivo.

Por ejemplo, la opción c requiere la creación del archivo, la opción v mostrará la salida más detallada y la opción f establece el nombre del archivo sobre el que operar. La siguiente orden en el estilo tradicional, le indica a tar que almacene todos los archivos del directorio /etc en el archivo etc.tar, enumerando detalladamente los archivos que se están archivando:

    tar cfv etc.tar /etc

En UNIX o estilo de opción corta, cada letra de opción tiene como prefijo un solo guión, como en otras utilidades de línea de órdenes. Si una opción toma un argumento, el argumento le sigue, ya sea como una palabra de línea de órdenes separada o inmediatamente después de la opción. Sin embargo, si la opción toma un argumento opcional, el argumento debe seguir a la letra de la opción sin ningún espacio en blanco intermedio, como en -g/tmp/snar.db.

Cualquier cantidad de opciones que no tomen argumentos se pueden agrupar después de un solo guión, p. -vkp. Una opción que toma un argumento (ya sea obligatorio u opcional) puede aparecer al final de dicho grupo como por ejemplo -vkpf a.tar.

La orden de ejemplo anterior escrito en estilo de opción corta podría verse así:

    tar -cvf etc.tar /etc
o
    tar -c -v -f etc.tar /etc

En GNU o estilo de opción larga, cada opción comienza con dos guiones y tiene un nombre significativo, que consta de letras minúsculas y guiones. Cuando se utiliza, la opción larga se puede abreviar a sus letras iniciales, siempre que no resulte ambiguo. Los argumentos para las opciones largas se proporcionan como una palabra separada, inmediatamente después de la opción, o separados de la opción por un signo igual sin espacios en blanco intermedios. Los argumentos opcionales siempre deben utilizar éste el último método.

A continuación se muestran varias formas de escribir la orden de ejemplo en este estilo:

    tar --create --file etc.tar --verbose /etc
o (abreviando algunas opciones):
    tar --cre --file=etc.tar --verb /etc

Las opciones de los tres estilos se pueden mezclar, aunque no se recomienda hacerlo con opciones antiguas.

  Modo de operación
Las opciones enumeradas en la siguiente tabla le indican a GNU tar qué operación debe realizar. Se debe dar exactamente una de ellas. El significado de los argumentos que no son opciones depende del modo de operación solicitado.

-A, --catenate, --concatenate
    Agrega archivos al final de otro archivo. Los argumentos se consideran los nombres de los archivos que se van a adjuntar. Todos los archivos deben tener el mismo formato que el archivo al que están adjuntos; de lo contrario, el archivo resultante podría no poder utilizarse con implementaciones de tar distintas de GNU. Observe que si se proporciona más de un archivo, los miembros de archivos distintos del primero serán accesibles en el archivo resultante solo cuando se use la opción -i (--ignore-zeros). Los archivos comprimidos no se pueden concatenar.

-c, --create
    Crea un nuevo archivo. Los argumentos proporcionan los nombres de los archivos que se van a archivar. Los directorios se archivan de forma recursiva, salvo que se proporcione la opción --no-recursion.

-d, --diff, --compare
    Encuentra diferencias entre archivo y sistema de archivos. Los argumentos son opcionales y definen los miembros del archivo para comparar. Si no se indica, se asume el directorio de trabajo actual.

--delete
    Elimina del archivo. Los argumentos proporcionan los nombres de los miembros del archivo que se eliminarán. Se debe dar al menos un argumento. Esta opción no funciona con archivos comprimidos. No existe un equivalente de opción corta.

-r, --append
    Agrega archivos al final de un archivo. Los argumentos tienen el mismo significado que para -c (--create).

-t, --list
    Enumera el contenido de un archivo. Los argumentos son opcionales, si se proporcionan, definirán los nombres de los miembros a enumerar.

--test-label
    Prueba la etiqueta del volumen de archivo y finaliza. Cuando se usa sin argumentos, muestra la etiqueta del volumen (si la hay) y sale con el estado 0. Si se indican uno o más argumentos, tar compara la etiqueta del volumen con cada argumento. Sale con el código 0 si se encuentra una coincidencia y con el código 1 en caso contrario. No se muestra ninguna salida, a menos que se use junto con la opción -v (--verbose). No existe una opción corta equivalente para esta opción.

-u, --update
    Adjunta archivos que sean más recientes que la copia presente en el archivo. Los argumentos tienen el mismo significado que las opciones -c y -r. Tenga en cuenta que los archivos más recientes no reemplazan sus copias antiguas, sino que se agregan al final del archivo. Por tanto, el archivo resultante puede contener varios miembros con el mismo nombre, correspondientes a varias versiones del mismo archivo.

-x, --extract, --get
    Extrae archivos de un archivo. Los argumentos son opcionales, definirán los nombres de los miembros del archivo que se extraerán.

--show-defaults
    Muestra los valores predeterminados para varias opciones de tar y finaliza.

-?, --help
    Muestra un breve resumen de opciones y finaliza.

--usage
    Muestra una lista de opciones disponibles y finaliza.

--version
    Muestra la versión del programa, la información de derechos de autor y finaliza.

OPCIONES

  Modificadores de operación

--check-device
    Comprueba los números de dispositivo cuando se crean archivos incrementales (por omisión).

-g, --listed-incremental=ARCHIVO
    Gestiona nuevas copias de seguridad incrementales en formato GNU. ARCHIVO es el nombre de un volcado instantáneo, tar gurardará información adicional para poder conocer qué archivos cambiaron desde el volcado incremental anterior y que deberán volcarse nuevamente. Si no existiese ARCHIVO un archivo, se creará y todos los archivos se agregarán al archivo resultante (lo que sería un volcado de nivel 0). Para crear archivos incrementales de nivel N (distinto de cero), necesita una copia del archivo de volcado instantáneo creado para el nivel N-1 y designarlo como ARCHIVO. Al enumerar o extraer no se inspeccciona el contenido real de ARCHIVO. Solo es necesario por motivos técnicos, por lo que suele emplearse /dev/null en su lugar.

--hole-detection=MÉTODO
    Utiliza MÉTODO para detectar agujeros en archivos dispersos. Esta opción implica --sparse. Los valores válidos para MÉTODO son seek y raw. Por defecto se considera seek y, si no es aplicable, se pasa a raw automáticamente.

-G, --incremental
    Gestiona copias de seguridad incrementales antiguas en formato GNU.

--ignore-failed-read
    No sale con estado distinto de cero (error) en el caso de encontrar ficheros que no pueda leer.

--level=NÚMERO
    Establece el nivel de volcado para un archivo incremental ya creado. Ahora mismo, solo tendría sentido --level=0: hace que corte la copia instantánea antes de volcarla, forzando un volcado de nivel 0.

-n, --seek
    Asume que el archivo se puede buscar. Normalmente tar determina automáticamente si el archivo se puede buscar o no. Esta opción está pensada para su uso en casos en los que dicho reconocimiento falla. Tiene efecto sólo si el archivo está abierto para lectura (por ejemplo, con las opciones --list o --extract).

--no-check-device
    No comprueba los números de dispositivo cuando se crean archivos incrementales.

--no-seek
    Asume que el archivo no se puede buscar.

--occurrence[=N]
    Procesa únicamente la N-ésima aparición de cada fichero en el archivo; esta opción solamente es válida junto con una de las subórdenes --delete, --diff, --extract o --list y cuando se da una lista de ficheros en la línea de órdenes o con la opción -T; el valor predeterminado de N es 1.

--restrict
    Desactiva el uso de algunas opciones de riesgo.

--sparse-version=PRINCIPAL[.SECUNDARIO]]
    Establece qué versión del formato disperso usar. Esta opción implica --sparse. Los valores de argumento válidos son 0.0, 0.1 y 1.0. Para obtener información detallada sobre los formatos dispersos, consulte el GNU Tar Manual, apéndice D, 'Sparse Formats'. Mediante la orden info, se puede acceder ejecutando: info tar 'Sparse Formats'.

-S, --sparse
    Gestiona de manera eficiente archivos dispersos. Algunos archivos en el sistema de archivos pueden tener segmentos que en realidad nunca se escribieron (suele tratrse de archivos de bases de datos creados por sistemas como DBM). Cuando se le da esta opción, tar intenta determinar si el archivo es disperso antes de archivarlo y, de ser así, reducir el tamaño del archivo resultante al no volcar partes vacías del archivo.

  Control de sobreescritura
Estas opciones controlan las acciones de tar al extraer un archivo sobre una copia existente en el disco.

-k, --keep-old-files
    No reemplaza ficheros que existan al extraer.

--keep-newer-files
    No reemplaza los ficheros que existan que sean más recientes que sus copias en el archivo.

--keep-directory-symlink
    No reemplaza los enlaces simbólicos existentes a directorios al realizar la extracción.

--no-overwrite-dir
    Conserva los metadatos de los directorios que existan.

--one-top-level[=DIR]
    Extrae todos los archivos en DIR o, si se usan sin argumentos, en un subdirectorio nombrado según el nombre base del archivo (quitando los sufijos de compresión estándar reconocibles mediante --auto-compress).

--overwrite
    Sobreescribe los ficheros que existan al extraer.

--overwrite-dir
    Sobreescribe los metadatos de los directorios que existan al extraer (predeterminado).

--recursive-unlink
    Elimina recursivamente todos los archivos del directorio antes de extraerlo.

--remove-files
    Elimina archivos del disco después de agregarlos al archivo.

--skip-old-files
    No reemplaza ficheros que existan al extraer, se los salta silenciosamente.

-U, --unlink-first
    Borra cada fichero antes de extraer sobre él.

-W, --verify
    Verifica el archivo después de escribirlo.

  Selección del flujo de salida

--ignore-command-error
    Descarta los códigos de salida de los subprocesos.

--no-ignore-command-error
    Trata los estados de salida distintos de cero de los subprocesos como errores (predeterminado).

-O, --to-stdout
    Extrae los archivos a la salida estándar.

--to-command=ORDEN
    Canaliza los archivos extraídos a ORDEN. El argumento es la ruta de acceso de un programa externo, opcionalmente con argumentos de línea de órdenes. Se invocará el programa y se le enviará el contenido del archivo que se está extrayendo por su entrada estándar. Se proporcionarán datos adicionales a través de las siguientes variables de entorno:

    TAR_FILETYPE
        Tipo de archivo. Es una sola letra con el siguiente significado:

        	f	Archivo regular
        	d	Directorio
        	l	Enlace simbólicos
        	h	Enlace duros
        	b	Dispositivo de bloque
        	c	Dispositivo de carácteres
        Actualmente sólo se admiten archivos normales.

    TAR_MODE
        Modo de archivo, un número octal.

    TAR_FILENAME
        El nombre del archivo.

    TAR_REALNAME
        Nombre del archivo almacenado en el archivo.

    TAR_UNAME
        Nombre del propietario del archivo.

    TAR_GNAME
        Nombre del grupo propietario del archivo.

    TAR_ATIME
        Hora del último acceso. Es un número decimal que representa los segundos desde el Inicio de Unix. Si el archivo proporciona horas con precisión de nanosegundos, los nanosegundos se agregan a la marca de tiempo después de un punto decimal.

    TAR_MTIME
        Hora de la última modificación.

    TAR_CTIME
        Hora del último cambio de estado.

    TAR_SIZE
        Tamaño del archivo.

    TAR_UID
        UID del propietario del archivo.

    TAR_GID
        GID del propietario del archivo.
    Además, las siguientes variables contienen información sobre el modo de operación de tar y el archivo que se está procesando:

    TAR_VERSION
        El número de versión del programa GNU tar.

    TAR_ARCHIVE
        El nombre del archivo que tar está procesando.

    TAR_BLOCKING_FACTOR
        Factor de bloqueo actual, es decir, número de bloques de 512 bytes en un registro.

    TAR_VOLUME
        Número del volumen que tar está procesando (define si se lee un archivo de varios volúmenes).

    TAR_FORMAT
        Formato del archivo que se está procesando. Será uno de entre de los siguientes: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMAND
        Una opción corta precedida por un guión, que describe la operación que tar está ejecutando.

  Manejo de los atributos del fichero

--atime-preserve[=MÉTODO]
    Conserva la hora de acceso en los archivos volcados, ya sea restaurando los tiempos después de la lectura (MÉTODO=replace, este es el valor predeterminado) o no configurando los tiempos en primer lugar (MÉTODO=system).

--delay-directory-restore
    Pospone la configuración de la hora de modificación y de los permisos de los directorios extraídos hasta el final de la extracción. Utilice esta opción al trabajar con un archivo que tiene un orden de miembros inusual.

--group=NOMBRE[:GID]
    Fuerza NOMBRE como grupo para los archivos agregados. Si no se proporciona GID, NOMBRE puede ser un nombre de usuario o un GID numérico. En este caso, la parte que falta (GID o nombre) se inferirá de la base de datos de grupos del equipo actual. Cuando se utiliza con --group-map=ARCHIVO, afectará solo a aquellos archivos cuyo grupo propietario no está incluido en ARCHIVO.

--group-map=FICHERO
    Toma el mapa de traducción de grupos desde ARCHIVO. Las líneas vacías se ignoran. Los comentarios se introducen con el signo # y abarcan hasta el final de la línea. Cada línea no vacía en ARCHIVO define la traducción para un solo grupo. Debe constar de dos campos, delimitados por un número indeterminado de espacios en blanco:
        ANTIGUOGRP NUEVOGRP[:NUEVOGID]
    ANTIGUOGRP es un nombre de grupo válido o un GID con el prefijo +. Salvo que se proporcione NUEVOGID, NUEVOGRP también debe ser un nombre de grupo válido o un +GID. De lo contrario, no es necesario que NUEVOGRP ni NUEVOGID estén incluidos en la base de datos del grupo del sistema. Como resultado, cada archivo de entrada con el grupo propietario ANTIGUOGRP se almacenará en un archivo con el grupo propietario NUEVOGRP y el GID NUEVOGID.

--mode=CAMBIOS
    Fuerza CAMBIOS (simbólicos) de modo para los ficheros que se añaden.

--mtime=FECHA-O-ARCHIVO
    Establece mtime para los archivos agregados. FECHA-O-ARCHIVO puede ser una fecha/hora en un formato casi arbitrario o bien el nombre de un archivo existente. En este el último caso, se utilizará el mtime de ese archivo.

-m, --touch
    No extrae la fecha de modificación del fichero.

--no-delay-directory-restore
    Cancela el efecto de la opción anterior --delay-directory-restore.

--no-same-owner
    Extrae los ficheros como usted mismo (predeterminado para usuarios normales).

--no-same-permissions
    Aplica el umask del usuario cuando se extraen permisos del archivo (predeterminado para usuarios normales).

--numeric-owner
    Utiliza siempre números para los nombres de usuarios/grupos.

--owner=NOMBRE[:UID]
    Fuerza la asignación de NOMBRE como propietario de los archivos agregados. Si no se proporciona UID, NOMBRE puede ser un nombre de usuario o un UID numérico. En este caso, la parte que falta (UID o nombre) se inferirá de la base de datos de usuarios del equipo actual. Cuando se utiliza con --owner-map=ARCHIVO, afecta solo a aquellos archivos cuyo propietario no está incluido en ARCHIVO.

--owner-map=ARCHIVO
    Lee el mapa de traducción del propietario desde ARCHIVO. Las líneas vacías se ignoran. Los comentarios se introducen con el signo # y se extienden hasta el final de la línea. Cada línea no vacía en ARCHIVO definirá la traducción para un único UID. Debe constar de dos campos, delimitados por una cantidad indeterminada de espacios en blanco:
        ANTIGUOUSR NUEVOUSR[:NUEVOUID]
    ANTIGUOUSR es un nombre de usuario válido o un UID con el prefijo +. Salvo que se indique NUEVOUID, NUEVOUSR también debe ser un nombre de usuario válido o un +UID. De lo contrario, no es necesario que ni NUEVOUSR ni NUEVOUID estén incluidos en la base de datos de usuarios del sistema. Finalmente, cada archivo de entrada propiedad de ANTIGUOUSR se almacenará en un archivo con el nombre de propietario NUEVOUSR y el UID NUEVOUID.

-p, --preserve-permissions, --same-permissions
    Establece los permisos de los archivos extraídos en los registrados en el archivo (predeterminado para el administrador).

--same-owner
    Intenta extraer los ficheros con el mismo propietario que existe en el archivo (predeterminado para el superusuario).

-s, --preserve-order, --same-order
    Indica a tar que la lista de nombres de archivos a procesar se ordena en el mismo orden que los archivos en el archivo.

--sort=ORDENACIÓN
    Al crear un archivo, ordena las entradas del directorio según ORDENACIÓN, que será uno de los siguientes: none, name o inode. El valor por defecto es --sort=none, almacenará los miembros del archivo en el mismo orden en que los devuelve el sistema operativo. El uso de --sort=name garantiza que el orden de los miembros en el archivo creado sea uniforme y reproducible. El uso de --sort=inode reduce la cantidad de búsquedas en el disco que se realizan al crear el archivo y, por lo tanto, puede acelerar considerablemente el archivado. Este orden de clasificación solo se admite si el sistema proporciona la información necesaria.

  Atributos extendidos del fichero

--acls
    Activa el soporte de ACLs de POSIX.

--no-acls
    Desactiva el soporte de ACLs de POSIX.

--selinux
    Activa el soporte de contextos SELinux.

--no-selinux
    Desactiva el soporte de contextos SELinux.

--xattrs
    Activa el soporte de los atributos extendidos.

--no-xattrs
    Desactiva el soporte de atributos extendidos.

--xattrs-exclude=PATRÓN
    Define el patrón de exclusión para las claves xattr. PATRÓN es un patrón global, por ejemplo, --xattrs-exclude='user.*' para incluir solo atributos del espacio de nombres de usuario.

--xattrs-include=PATRÓN
    Especifica el patrón de inclusión para las claves xattr. PATRÓN es un patrón global.

  Selección de dispositivo y opciones

-f, --file=ARCHIVO
    Utiliza el archivo o dispositivo ARCHIVO. Si no se proporciona esta opción, tar examinará primero la variable de entorno `TAPE', si está establecida, su valor se utilizará como nombre del archivo. De lo contrario, tar asumirá el valor predeterminado con el que fue compilado. Puede conocer dicho valor predeterminado mediante la opción --show-defaults o al final de la salida tar --help. Un nombre de archivo con dos puntos definirá un archivo o dispositivo en un equipo remoto. La parte antes de los dos puntos se toma como el nombre del equipo o la dirección IP, y la parte después de ellos como la ruta del archivo o dispositivo, por ejemplo:
        --file=remotehost:/dev/sr0
    Se puede anteponer un nombre de usuario opcional al nombre de host, colocando un signo @ entre ellos. De forma predeterminada, se accederá al equipo remoto mediante la orden rsh(1), aunque actualmente suele emplearse ssh(1) en su lugar. Puede hacerlo mediante la siguiente opción:
        --rsh-command=/usr/bin/ssh
    El equipo remoto debe tener instalada la orden rmt(8). Si su nombre de ruta no coincide con el predeterminado en tar, puede definirlo mediante la opción --rmt-command.

--force-local
    El archivo es local incluso si tiene dos puntos.

-F, --info-script=ORDEN, --new-volume-script=ORDEN
    Ejecute ORDEN al final de cada cinta (implica -M). La orden puede incluir argumentos. Cuando se inicie, heredará el entorno de tar más las siguientes variables:

    TAR_VERSION
        El número de versión del programa GNU tar.

    TAR_ARCHIVE
        El nombre del archivo que tar está procesando.

    TAR_BLOCKING_FACTOR
        Factor de bloqueo actual, es decir, número de bloques de 512 bytes en un registro.

    TAR_VOLUME
        Número del volumen que tar está procesando (define si se lee un archivo de varios volúmenes).

    TAR_FORMAT
        Formato del archivo que se está procesando. Será uno de entre de los siguientes: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMAND
        Una opción corta precedida por un guión, que describe la operación que tar está ejecutando.

    TAR_FD
        Descriptor de archivo que se puede emplearse para comunicar el nuevo nombre del volumen a tar.
    Si falla el script de información, tar finaliza; sino comienza a escribir el siguiente volumen.

-L, --tape-length=N
    Cambia la cinta después de escribir Nx1024 bytes. Si N va seguido de un sufijo de tamaño (consulte la subsección Sufijos de tamaño a continuación), éste definirá el factor multiplicativo que se utilizará en lugar de 1024. Esta opción implica -M.

-M, --multi-volume
    Crea/lista/extrae un archivo multi-volumen.

--rmt-command=ORDEN
    Utiliza ORDEN en lugar de rmt cuando acceda a archivos remotos. Consulte la descripción de la opción -f dada anteriormente.

--rsh-command=ORDEN
    Utiliza ORDEN en lugar de rsh cuando acceda a archivos remotos. Consulte la descripción de la opción -f dada anteriormente.

--volno-file=ARCHIVO
    Cuando esta opción se utiliza junto con --multi-volume, tar realizará seguimiento de en qué volumen de un archivo de varios volúmenes está trabajando ARCHIVO.

  Bloques en los dispositivos

-b, --blocking-factor=BLOQUES
    Establece el tamaño del registro en BLOCKSx512 bytes.

-B, --read-full-records
    Al enumerar o extraer, acepta registros de entrada incompletos después del marcador de fin de archivo.

-i, --ignore-zeros
    Ignora los bloques puestos a cero en el archivo. Normalmente, dos bloques 512 consecutivos llenos de ceros se consideran un (fin de archivo) EOF, por lo que tar dejaría de leer después de encontrarlos. Esto es útil al leer archivos creados con la opción -A.

--record-size=NÚMERO
    Establece el tamaño de registro. NÚMERO es el número de bytes por registro. Debe ser múltiplo de 512. Puede tener el sufijo sufijo de tamaño, p. --record-size=10K para 10 Kilobytes. Consulte la subsección Sufijos de tamaño para obtener una lista de sufijos válidos.

  Selección del formato de archivo

-H, --format=FORMATO
    Crea el archivo en el formato dado. Los formatos válidos son:

    gnu formato GNU tar 1.13.x

    oldgnu
        Formato GNU de tar <= 1.12.

    pax, posix
        Formato POSIX 1003.1-2001 (pax).

    ustar
        Formato POSIX 1003.1-1988 (ustar).

    v7  Formato tar V7 antiguo.

--old-archive, --portability
    Igual que --format=v7.

--pax-option=palabraclave[[:]=valor][,palabraclave[[:]=valor]]...
    Controla las palabras clave de pax al crear archivos PAX (-H pax). Esta opción es equivalente a la opción -o de la aplicación pax(1).

--posix
    Igual que --format=posix.

-V, --label=TEXTO
    Crea un archivo con nombre de volumen TEXTO; en el momento de listar/extraer, utiliza TEXTO como patrón expandible para el nombre del volumen.

  Opciones de compresión

-a, --auto-compress
    Utiliza el sufijo del archivo para determinar el programa de compresión.

-I, --use-compress-program=ORDEN
    Filtra datos mediante ORDEN. Debe aceptar la opción -d, para descompresión. El argumento puede contener opciones de línea de órdenes.

-j, --bzip2
    Filtra el archivo a través de bzip2(1).

-J, --xz
    Filtra el archivo a través de xz(1).

--lzip
    Filtra el archivo a través de lzip(1).

--lzma
    Filtra el archivo a través de lzma(1).

--lzop
    Filtra el archivo a través de lzop(1).

--no-auto-compress
    No utiliza el sufijo del archivo para determinar el programa de compresión.

-z, --gzip, --gunzip, --ungzip
    Filtra el archivo a través de gzip(1).

-Z, --compress, --uncompress
    Filtra el archivo a través de compress(1).

--zstd
    Filtra el archivo a través de zstd(1).

  Selección del fichero local

--add-file=FICHERO
    Añade el FICHERO dado al archivo (útil si su nombre comienza con un guion).

--backup[=CONTROL]
    Copia de seguridad antes de la eliminación. El argumento CONTROL, si se indica, controla el modo en que se realiza la copia de seguridad. Sus valores válidos son:

    none, off
        Nunca realiza copias de seguridad.

    t, numbered
        Crea copias de seguridad numeradas.

    nil, existing
        Numeradas si existen copias de seguridad numeradas, simples en caso contrario.

    never, simple
        Siempre crea copias de seguridad simples
    Si no se proporciona CONTROL, el valor se toma de la variable de entorno VERSION_CONTROL. Si no se establece, se supondrá existing.

-C, --directory=DIR
    Se sitúa en DIR antes de realizar cualquier operación. Esta opción afecta al orden, es decir, afecta a todas las opciones siguientes.

--exclude=PATRÓN
    Excluye archivos que coincidan con PATRÓN, un patrón comodín de estilo glob(3).

--exclude-backups
    Excluye los ficheros de respaldo y de bloqueo.

--exclude-caches
    Excluye el contenido de los directorios que contienen CACHEDIR.TAG, excepto por el propio fichero CACHEDIR.TAG.

--exclude-caches-all
    Excluye los directorios que contienen el archivo CACHEDIR.TAG y el propio archivo.

--exclude-caches-under
    Excluye todo bajo los directorios que contienen CACHEDIR.TAG

--exclude-ignore=FICHERO
    Antes de volcar un directorio, comprueba si contiene ARCHIVO. Si es así, tomará los patrones de exclusión de dicho archivo. Los patrones afectan sólo al directorio en sí.

--exclude-ignore-recursive=FICHERO
    Igual que --exclude-ignore, excepto que los patrones de ARCHIVO afectan tanto al directorio como a todos sus subdirectorios.

--exclude-tag=FICHERO
    Excluye el contenido de los directorios que contengan FICHERO, excepto el propio FICHERO.

--exclude-tag-all=FICHERO
    Excluye los directorios que contienen FICHERO.

--exclude-tag-under=FICHERO
    Excluye todo bajo los directorios que contienen FICHERO.

--exclude-vcs
    Excluye los directorios de sistemas de control de versiones.

--exclude-vcs-ignores
    Excluye archivos que coincidan con patrones leídos de archivos ignore específicos de algún VCS. Los archivos admitidos son: .cvsignore, .gitignore, .bzrignore y .hgignore.

-h, --dereference
    Sigue los enlaces simbólicos; archiva y vuelca los ficheros a los que apuntan.

--hard-dereference
    Sigue los enlaces duros; archiva y vuelca los ficheros a los que se refieren.

-K, --starting-file=MIEMBRO
    Comienza en el miembro indicado en el archivo.

--newer-mtime=FECHA
    Trabaja en archivos cuyos datos cambiaron después de la FECHA. Si DATE comienza con / o . se considera un nombre de archivo y se usará el mtime de ese archivo como fecha.

--no-null
    Desactiva el efecto de la opción --null anterior.

--no-recursion
    Evita descender automáticamente en los directorios.

--no-unquote
    No quita las comillas de los nombres de ficheros de entrada o de miembros.

--no-verbatim-files-from
    Trata cada línea leída de una lista de archivos como si se hubiera proporcionado en la línea de órdenes. Es decir, eliminará los espacios en blanco iniciales y finales y, si la cadena resultante comienza con un guión, se tratará como una opción de tar. Este es el comportamiento predeterminado. La opción --no-verbatim-files-from se proporciona como una forma de restaurarlo después de la opción --verbatim-files-from. Esta opción es posicional: afecta a todas las opciones --files-from que se indiquen después de ella y hasta la opción --verbatim-files-from o el final de la línea, lo que ocurra primero. Está implícito en la opción --no-null.

--null
    Indica a las opciones -T posteriores que lean palabra por palabra los nombres terminados en null (deshabilita el manejo especial de nombres que comienzan con un guión). Véase también --verbatim-files-from.

-N, --newer=FECHA, --after-date=FECHA
    Almacena solo archivos posteriores a la FECHA. Si FECHA comienza con / o . se considera un nombre de archivo y se usa su mtime como fecha.

--one-file-system
    Se queda en un sistema de ficheros local cuando crea un archivo.

-P, --absolute-names
    No elimina las barras iniciales de los nombres de los archivos al crear archivos.

--recursion
    Opera recursivamente sobre los directorios (por omisión).

--suffix=CADENA
    Se hace un respaldo antes de borrar, cambiando el sufijo usual (~ a menos que se cambie con la variable de entorno SIMPLE_BACKUP_SUFFIX).

-T, --files-from=FICHERO
    Obtiene los nombres a extraer o crear del FICHERO. Salvo que se indique lo contrario, ARCHIVO debe contener una lista de nombres separados por ASCII LF (es decir, un nombre por cada línea). Los nombres leídos se manejan de la misma manera que los argumentos de la línea de órdenes. Se someten a eliminación de comillas y división de palabras, y cualquier cadena que comience con - se maneja como opción de línea de ordenes para tar. Si este comportamiento no es el deseado, se puede desactivar mediante la opción --verbatim-files-from. La opción --null indica a tar que los nombres en ARCHIVO estén separados por el carácter ASCII NUL, en lugar de LF. Es útil si la lista se ha generado mediante la orden find(1) -print0.

--unquote
    Quita las comillas de los nombres de ficheros de entrada o de miembros (predeterminado).

--verbatim-files-from
    Trata cada línea obtenida de una lista de archivos como un nombre de archivo, incluso si comienza con un guión. Las listas de archivos se indican mediante la opción --files-from (-T). Por defecto, se gestionan los nombres proporcionados en las listas de archivos como si se hubieran escrito directamente en la línea de órdenes, es decir, cualquier nombre que comience con un guión se trata como opciones para tar. La opción --verbatim-files-from desactiva este comportamiento. Esta opción afecta a todas las opciones --files-from que aparecen con posterioridad en la línea de órdenes. Su efecto se revierte con la opción --no-verbatim-files-from. Esta opción está implícita en la opción --null. Véase también --add-file.

-X, --exclude-from=ARCHIVO
    Excluye archivos que coincidan con los patrones indicados en ARCHIVO.

  Transformaciones de los nombres de ficheros

--strip-components=NÚMERO
    Elimina NÚMERO componentes iniciales de los nombres de ficheros al extraer.

--transform=EXPRESIÓN, --xform=EXPRESIÓN
    Utiliza la EXPRESIÓN de reemplazo sed para transformar los nombres de ficheros.

  Opciones de coincidencia para nombres de fichero
Estas opciones afectan a los patrones de exclusión y de inclusión.

--anchored
    Los patrones encajan con el comienzo del nombre del fichero.

--ignore-case
    No distingue mayúsculas de minúsculas.

--no-anchored
    Los patrones encajan después de cualquier / (por omisión para exclusión).

--no-ignore-case
    Distingue mayúsculas de minúsculas (por omisión).

--no-wildcards
    Coincidencia de cadenas verbatim.

--no-wildcards-match-slash
    Los comodines no encajan con /.

--wildcards
    Utiliza comodines (predeterminado para exclusión).

--wildcards-match-slash
    Los comodines encajan con / (por omisión para exclusión).

  Salida informativa

--checkpoint[=N]
    Muestra mensajes de progreso cada N-ésimo registro (por omisión 10).

--checkpoint-action=ACCIÓN
    Ejecuta ACCIÓN en cada punto de comprobación.

--clamp-mtime
    Solo establece la hora cuando el archivo es más reciente que el que se indicó mediante la opción --mtime.

--full-time
    Muestra la fecha del fichero con la máxima resolución.

--index-file=FICHERO
    Envía la salida detallada a FICHERO.

-l, --check-links
    Muestra un mensaje si no se vuelcan todos los enlaces.

--no-quote-chars=CADENA
    No entrecomilla los caracteres de CADENA.

--quote-chars=CADENA
    También entrecomilla los caracteres de CADENA.

--quoting-style=ESTILO
    Establece el estilo de comillas para los nombres de archivos y miembros. Los valores válidos para ESTILO son literal, shell, shell-always, c, c-maybe, escape, locale y clocale.

-R, --block-number
    Muestra el número de bloque dentro del archivo con cada mensaje.

--show-omitted-dirs
    Cuando se lista o extrae, lista cada directorio que no coincida con el criterio de búsqueda.

--show-transformed-names, --show-stored-names
    Muestra los nombres de archivos o archivos comprimidos después de la transformación sufrida mediante las opciones --strip y --transform.

--totals[=SEÑAL]
    Muestra el total de bytes después de procesar el archivo. Si se indica SEÑAL, mostrará el total de bytes cuando se entregue dicha señal. Las señales permitidas son: SIGHUP, SIGQUIT, SIGINT, SIGUSR1 y SIGUSR2. Se puede omitir el prefijo SIG.

--utc
    Muestra las fechas/horas de modificación de los ficheros en UTC.

-v, --verbose
    Enumera con detalle los archivos procesados. Cuantas más veces se indique esta opción, más aumenta el nivel de detalle, hasta un nivel máximo de 3. Si desea información más detallada de cómo los distintos niveles de detalle afectan la salida de tar, consulte GNU Tar Manual, subsección 2.5.2 'The '--verbose' Option'.

--warning=PALABRACLAVE
    Habilita o deshabilita los mensajes de advertencia identificados mediante PALABRACLAVE. Los mensajes se suprimen si PALABRACLAVE tiene el prefijo no- y se habilita en caso contrario. Se acumulan varias opciones --warning. Palabras clave que controlan la operación general de tar:

    all Habilita todos los mensajes de advertencia. Este es el valor predeterminado.

    none
        Desactiva todos los mensajes de advertencia.

    filename-with-nuls
        "%s: el nombre de fichero leído contiene el carácter nul"

    alone-zero-block
        "Un bloque de ceros aislado en %s"

    Palabras clave aplicables para tar --create:

    cachedir
        "%s: contiene una marca de directorio caché %s; %s"

    file-shrank
        "%s: El tamaño del fichero ha disminuido en %s byte, se rellena con ceros"

    xdev
        "%s: el fichero está en un sistema de ficheros distinto; no se vuelca"

    file-ignored
        "%s: Tipo de fichero desconocido; no se tendrá en cuenta"
        "%s: el `socket' no se tendrá en cuenta"
        "%s: no se tendrá en cuenta la puerta"

    file-unchanged
        "%s: el fichero no ha cambiado; no se vuelca"

    ignore-archive
        "%s: el archivo no puede contenerse a sí mismo; no volcado"

    file-removed
        "%s: El fichero fue borrado antes de leerlo"

    file-changed
        "%s: el fichero cambió mientras se estaba leyendo"

    failed-read
        Elimina las advertencias sobre archivos o directorios ilegibles. Esta palabra clave se aplica solo si se usa junto con la opción --ignore-failed-read.

    Palabras clave aplicables para tar --extract:

    existing-file
        "%s: se salta un fichero que existe"

    timestamp
        "%s: marca de fecha sospechosamente antigua %s"
        "%s: la marca de tiempo %s está %s s en el futuro"

    contiguous-cast
        "Extrayendo ficheros contiguos como ficheros regulares"

    symlink-cast
        "Intentando la extracción de enlaces simbólicos como enlaces duros"

    unknown-cast
        "%s: Tipo de fichero '%c' desconocido, se extrae como fichero normal"

    ignore-newer
        "El %s actual es más reciente o de la misma fecha"

    unknown-keyword
        "Se desestima la palabra clave de la cabecera extendida desconocida '%s'"

    decompress-program
        Controla la descripción detallada de los fallos que se producen al intentar ejecutar otros programas descompresores. Esta advertencia está deshabilitada de forma predeterminada (a menos que se use --verbose). Un ejemplo típico de lo que puede verse al utilizar esta advertencia sería:
            $ tar --warning=decompress-program -x -f archive.Z
            tar (child): cannot run compress: No such file or directory
            tar (child): trying gzip
        Esto indica que tar primero intentó descomprimir archive.Z usando compress y, al fallar éste, se usó gzip.

    record-size
        "Tamaño de registro = %lu bloques"

    Palabras clave que controlan la extracción incremental:

    rename-directory
        "%s: El directorio ha sido renombrado desde %s"
        "%s: El directorio ha sido renombrado"

    new-directory
        "%s: El directorio es nuevo"

    xdev
        "%s: el directorio está en un dispositivo distinto: no se purga"

    bad-dumpdir
        "Dumpdir erróneo: no se ha utilizado nunca 'X'"

-w, --interactive, --confirmation
    Pide confirmación para cada acción.

  Opciones de compatibilidad

-o  Al crear, lo mismo que --old-archive; al extraer, lo mismo que --no-same-owner.

  Sufijos de tamaño

	Sufijo	Unidades	Equivalencia en Bytes
	b	Blocks	TAMAÑO x 512
	B	Kilobytes	TAMAÑO x 1024
	c	Bytes	TAMAÑO
	G	Gigabytes	TAMAÑO x 1024^3
	K	Kilobytes	TAMAÑO x 1024
	k	Kilobytes	TAMAÑO x 1024
	M	Megabytes	TAMAÑO x 1024^2
	P	Petabytes	TAMAÑO x 1024^5
	T	Terabytes	TAMAÑO x 1024^4
	w	Palabras	TAMAÑO x 2

VALOR DEVUELTO
El código de salida de Tar indicará si se ha realizado con éxito la operación solicitada o bien, de no ser así, qué tipo de error ocurrió.

0   Finalizado con éxito.

1   Algunos archivos difieren. Si tar fue invocado con la opción --compare (--diff, -d), esto significa que algunos archivos en el archivo difieren de sus homólogos en el disco. Si se indicaron alguna de las siguientes opciones: --create, --append o --update, este código de salida indica que algunos archivos se cambiaron mientras se archivaban y que, por lo tanto el archivo resultante no es una copia exacta del conjunto de archivos.

2   Error fatal. Durante la ejecución ha ocurrido un error irrecuperable.

Si un subproceso invocado por tar finaliza con un código de salida distinto de cero, tar también finalizará con ese código. Esto puede suceder, por ejemplo, al utilizar una opción de compresión (por ejemplo, -z) si falla la aplicación externa invocada. Otro ejemplo es el error rmt durante la copia de seguridad en un dispositivo remoto.

VÉASE TAMBIÉN
bzip2(1), compress(1), gzip(1), lzma(1), lzop(1), rmt(8), symlink(7), xz(1), zstd(1).

Puede acceder al manual completo de tar ejecutando info tar o mediante el modo de información emacs(1) para leerlo.

Puede consultar la documentación de GNU tar en internet en varios formatos desde:

https://www.gnu.org/software/tar/manual

INFORMES DE FALLOS
Comunicar errores a <bug-tar@gnu.org>.

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <http://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.